
QGIS Application - Bug report #9831

QGIS crashes when attempting to 'save as...' of a vector layer in different projection

2014-03-21 01:11 AM - Martyn Clark

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.2.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 18362

Description

Hi,

QGIS crashes as soon as I try and save an existing vector layer as a shapefile in projection that differs from the original.

A bit of background, I recently recompiled GDAL with MrSID support (using a third party SDK), though this caused problems as it

introduced an older version of the Geos library than QGIS was compiled against. I recompiled GDAL again without MrSID support (i.e.

reverting back to the way I had it before) though now I am experiencing the problem above.

That said, this is the first time I've attempted to 'save as...' since the upgrade to QGIS 2.2. so am unsure if its a QGIS issue or if I've

broken GDAL.

I can replicate the problem when trying to save in a number of different projections. If I 'save as...' using the same project as the original

the export works fine and QGIS doesn't crash. One last thing is that the first time it happened a pop-up appeared with a list of libraries

that are being used (see attached screenshot).

Any help greatly appreciated.

Marty

History

#1 - 2014-03-21 01:12 AM - Martyn Clark

Sorry I should add:

QGIS v.2.2

GDAL 1.10

Geos 3.3.8

#2 - 2014-06-21 02:58 AM - Jürgen Fischer

- Category set to Vectors

#3 - 2014-06-21 07:40 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

likely a local issue. Reopen if necessary attaching sample data. Thanks!
